Payments
API reference
Retrieve multiple payment details by payment filtered by various parameters
Endpoint: /v1/payments
GET
https://sandbox.crbcos.com/cardpayments/v1/payments
Query Parameters
- fromstringDescription
- tostringDescription
- partnerIdstringDescription
- productIdstringDescription
- cardBrandstringDescription
- paymentTypestringDescription
- statusstringDescription
- issuerCountryCodestringDescription
- clientIdentifierstringDescription
- pageNumbernumberDescription
- pageSizenumberDescription
Response
- resultsobject
- idstringDescription
- originalPaymentIdstringDescription
- clientIdentifierstringDescription
- amountintegerDescription
- paymentTypestringDescription
- statusstringDescription
- productIdstringDescription
- partnerIdstringDescription
- cardIdstringDescription
- networkstringDescription
- cardBrandstringDescription
- panLastFourstringDescription
- issuerCountryCodestringDescription
- retrievalReferenceIdstringDescription
- networkTransactionIdstringDescription
- reasonCodestringDescription
- reasonDescriptionstringDescription
- traceNumberstringDescription
- mccstringDescription
- merchantVerificationValuestringDescription
- accountNumberstringDescription
- coreTransactionIdstringDescription
- memoPostIdstringDescription
- memoPostRemovedAtstringDescription
- wasRefundedbooleanDescription
- refundPaymentIdstringDescription
- createdAtstringDescription
- authorizedOnstringDescription
- submittedOnstringDescription
- rejectedAtstringDescription
- completedAtstringDescription
- failedAtstringDescription
- limitsEligibleOnstringDescription
- lastModifiedAtstringDescription
- threeDomainSecureEcistringDescription
- threeDomainSecureUcafstringDescription
- threeDomainSecureCavvstringDescription
- threeDomainSecureXidstringDescription
- businessTypestringDescription
curl
curl --location 'https://sandbox.crbcos.com/cardpayments/v1/payments' \
--header 'Authorization: Bearer <token>' \
--header 'Accept: application/json'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'GET',
'hostname': 'sandbox.crbcos.com',
'path': '/cardpayments/v1/payments',
'headers': {
'Authorization': 'Bearer <token>',
'Accept': 'application/json'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
req.end();python
import requests
url = "https://sandbox.crbcos.com/cardpayments/v1/payments"
payload = {}
headers = {
'Authorization': 'Bearer <token>',
'Accept': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/cardpayments/v1/payments")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer <token>"
request["Accept"] = "application/json"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/cardpayments/v1/payments"
method := "GET"
client := &http.Client {
}
req, err := http.NewRequest(method, url, nil)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Accept", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"results": [
{
"id": "aed71b6c-84ab-4556-bba1-b419007f0a06",
"clientIdentifier": "20240815-4",
"amount": 200,
"paymentType": "Push",
"status": "Completed",
"source": "OpsPortal",
"productId": "a4169307-3f97-4db9-9747-b14d00a4c08e",
"partnerId": "f3d41d07-183e-4c73-90cd-b14d00a4089a",
"cardId": "5583ec45-8870-4570-a2a7-b3ef0164e605",
"cardToken": "DBB451DC5A624A32A27694C4732CCFFA000000",
"network": "Visa",
"cardBrand": "Visa",
"panLastFour": "9904",
"issuerCountryCode": "US",
"retrievalReferenceId": "608507788796",
"reasonCode": "00",
"reasonDescription": "Approved",
"traceNumber": "788796",
"correspondingEntity": {
"firstName": "Corresponding",
"lastName": "Entity",
"externalAccountIdentifier": "123456***0000",
"address": {
"street1": "2 Main st.",
"city": "Fort Lee",
"state": "NJ",
"postalCode": "12345",
"countryCode": "US"
}
},
"mcc": "1324",
"merchantVerificationValue": "123456",
"accountNumber": "2661828414",
"businessType": "BB",
"coreTransactionId": "f85f3ebe-d951-448c-a357-b4190082684d",
"memoPostId": "aed71b6c-84ab-4556-bba1-b419007f0a06",
"memoPostRemovedAt": "2026-03-26T03:54:53.967-04:00",
"wasRefunded": false,
"createdAt": "2026-03-26T03:42:32.127-04:00",
"authorizedOn": "2026-03-26T03:54:31.85-04:00",
"submittedOn": "2026-03-26T03:54:47.53-04:00",
"completedAt": "2026-03-26T03:54:49.59-04:00",
"limitsEligibleOn": "2026-03-26T03:42:32.127-04:00",
"lastModifiedAt": "2026-03-26T03:54:54.0817536-04:00"
},
{
"id": "237e2216-3872-47ad-919c-b41c007e7dd5",
"clientIdentifier": "20240815-4",
"amount": 200,
"paymentType": "Push",
"status": "Failed",
"source": "OpsPortal",
"productId": "a4169307-3f97-4db9-9747-b14d00a4c08e",
"partnerId": "f3d41d07-183e-4c73-90cd-b14d00a4089a",
"cardId": "5583ec45-8870-4570-a2a7-b3ef0164e605",
"cardToken": "DBB451DC5A624A32A27694C4732CCFFA000000",
"cardBrand": "Visa",
"panLastFour": "9904",
"issuerCountryCode": "US",
"reasonCode": "9999",
"reasonDescription": "Gateway request timed out",
"correspondingEntity": {
"firstName": "Corresponding",
"lastName": "Entity",
"externalAccountIdentifier": "123456***0000",
"address": {
"street1": "2 Main st.",
"city": "Fort Lee",
"state": "NJ",
"postalCode": "12345",
"countryCode": "US"
}
},
"mcc": "1324",
"merchantVerificationValue": "123456",
"accountNumber": "2661828414",
"businessType": "BB",
"memoPostId": "237e2216-3872-47ad-919c-b41c007e7dd5",
"memoPostRemovedAt": "2026-03-29T04:01:56.673-04:00",
"wasRefunded": false,
"createdAt": "2026-03-29T03:40:32.497-04:00",
"authorizedOn": "2026-03-29T04:01:51.96-04:00",
"submittedOn": "2026-03-29T04:01:55.44-04:00",
"failedAt": "2026-03-29T04:01:55.527-04:00",
"lastModifiedAt": "2026-03-29T04:01:57.6155383-04:00"
},
{
"id": "2c0090c2-60aa-4585-9efc-b41c0085866e",
"clientIdentifier": "20240815-4",
"amount": 200,
"paymentType": "Push",
"status": "Failed",
"source": "OpsPortal",
"productId": "a4169307-3f97-4db9-9747-b14d00a4c08e",
"partnerId": "f3d41d07-183e-4c73-90cd-b14d00a4089a",
"cardId": "5583ec45-8870-4570-a2a7-b3ef0164e605",
"cardToken": "DBB451DC5A624A32A27694C4732CCFFA000000",
"cardBrand": "Visa",
"panLastFour": "9904",
"issuerCountryCode": "US",
"reasonCode": "05",
"reasonDescription": "Error",
"correspondingEntity": {
"firstName": "Corresponding",
"lastName": "Entity",
"externalAccountIdentifier": "123456***0000",
"address": {
"street1": "2 Main st.",
"city": "Fort Lee",
"state": "NJ",
"postalCode": "12345",
"countryCode": "US"
}
},
"mcc": "1324",
"merchantVerificationValue": "123456",
"accountNumber": "2661828414",
"businessType": "BB",
"coreTransactionId": "f4854aa2-05a0-40c1-b2fc-b41c0089f7fc",
"memoPostId": "2c0090c2-60aa-4585-9efc-b41c0085866e",
"memoPostRemovedAt": "2026-03-29T04:33:15.08-04:00",
"wasRefunded": false,
"createdAt": "2026-03-29T04:06:09.007-04:00",
"authorizedOn": "2026-03-29T04:22:06.24-04:00",
"submittedOn": "2026-03-29T04:31:04.27-04:00",
"completedAt": "2026-03-29T04:22:19.947-04:00",
"failedAt": "2026-03-29T04:31:04.273-04:00",
"lastModifiedAt": "2026-03-29T04:33:17.4110852-04:00"
},
{
"id": "c11179d6-eb35-4baa-8e40-b424015ffaee",
"amount": 10000,
"paymentType": "Push",
"status": "Hold",
"source": "OpsPortal",
"productId": "a2eac905-3f73-4cad-aebd-b06e00d945b7",
"partnerId": "f176a518-381f-487b-9507-b06e00d8cd18",
"cardId": "e34f6f70-454c-40e8-8b13-b424015e24fa",
"cardToken": "21BF6577F1D042A7AD01D1193C8627B7000000",
"cardBrand": "MasterCard",
"panLastFour": "9905",
"issuerCountryCode": "US",
"correspondingEntity": {
"firstName": "Edwin",
"lastName": "Melendez",
"externalAccountIdentifier": "400758***9953",
"address": {
"street1": "123 Tester Ln",
"city": "Tampa",
"state": "FL",
"postalCode": "33635",
"countryCode": "US"
}
},
"merchantVerificationValue": "123456",
"accountNumber": "2532733231",
"businessType": "AA",
"wasRefunded": false,
"createdAt": "2026-04-06T17:21:31.24-04:00",
"limitsEligibleOn": "2026-04-06T17:21:31.24-04:00",
"lastModifiedAt": "2026-04-06T17:23:46.1452536-04:00"
},
{
"id": "b407e757-7811-45d4-ad97-b42500583679",
"clientIdentifier": "9a8b6f79-16bc-522e-a0a0-a57af848e5ad",
"amount": 100,
"paymentType": "Pull",
"status": "Failed",
"source": "Api",
"productId": "31cae717-408e-4813-a6b1-ad6600e48632",
"partnerId": "82a1cfb9-de92-4cc2-8a74-ad6600e36d7a",
"cardId": "febe40ae-cbe7-4428-9aab-b41b004159eb",
"cardToken": "7D30206F4D3848D387564F4FFDC3D151000000",
"cardBrand": "Visa",
"panLastFour": "1111",
"issuerCountryCode": "US",
"reasonCode": "9999",
"reasonDescription": "Gateway request timed out",
"correspondingEntity": {
"firstName": "Randy",
"lastName": "Marsh",
"externalAccountIdentifier": "411111***1111",
"address": {
"street1": "260 Avenue De Los Mexicanos",
"city": "South Park",
"state": "CO",
"postalCode": "81241",
"countryCode": "US"
}
},
"merchantVerificationValue": "123456",
"accountNumber": "2287979807",
"businessType": "AA",
"wasRefunded": false,
"createdAt": "2026-04-07T01:21:10.377-04:00",
"authorizedOn": "2026-04-07T01:21:15.6-04:00",
"submittedOn": "2026-04-07T01:21:19.133-04:00",
"failedAt": "2026-04-07T01:21:19.133-04:00",
"lastModifiedAt": "2026-04-07T01:21:25.524934-04:00"
},
{
"id": "818e26cc-a5fe-4299-be9f-b42501142de4",
"clientIdentifier": "90d0038c-8659-5a9a-bddb-e35b786dbe5d",
"amount": 100,
"paymentType": "Pull",
"status": "Failed",
"source": "Api",
"productId": "31cae717-408e-4813-a6b1-ad6600e48632",
"partnerId": "82a1cfb9-de92-4cc2-8a74-ad6600e36d7a",
"cardId": "febe40ae-cbe7-4428-9aab-b41b004159eb",
"cardToken": "7D30206F4D3848D387564F4FFDC3D151000000",
"cardBrand": "Visa",
"panLastFour": "1111",
"issuerCountryCode": "US",
"reasonCode": "9999",
"reasonDescription": "CVV not found",
"correspondingEntity": {
"firstName": "Randy",
"lastName": "Marsh",
"externalAccountIdentifier": "411111***1111",
"address": {
"street1": "260 Avenue De Los Mexicanos",
"city": "South Park",
"state": "CO",
"postalCode": "81241",
"countryCode": "US"
}
},
"merchantVerificationValue": "123456",
"accountNumber": "2287979807",
"businessType": "AA",
"wasRefunded": false,
"createdAt": "2026-04-07T12:45:32.273-04:00",
"authorizedOn": "2026-04-07T12:52:25.813-04:00",
"submittedOn": "2026-04-07T12:54:47.323-04:00",
"failedAt": "2026-04-07T12:54:47.333-04:00",
"lastModifiedAt": "2026-04-07T12:54:53.0371308-04:00"
},
{
"id": "2d31bab7-1c87-46d8-a581-b42501329f57",
"clientIdentifier": "395673a4-d91d-5f82-993d-9e1a9e5ef2a3",
"amount": 100,
"paymentType": "Pull",
"status": "Failed",
"source": "Api",
"productId": "31cae717-408e-4813-a6b1-ad6600e48632",
"partnerId": "82a1cfb9-de92-4cc2-8a74-ad6600e36d7a",
"cardId": "febe40ae-cbe7-4428-9aab-b41b004159eb",
"cardToken": "7D30206F4D3848D387564F4FFDC3D151000000",
"cardBrand": "Visa",
"panLastFour": "1111",
"issuerCountryCode": "US",
"reasonCode": "9999",
"reasonDescription": "CVV not found",
"correspondingEntity": {
"firstName": "Randy",
"lastName": "Marsh",
"externalAccountIdentifier": "411111***1111"
},
"merchantVerificationValue": "123456",
"accountNumber": "2287979807",
"businessType": "AA",
"wasRefunded": false,
"createdAt": "2026-04-07T14:36:22.687-04:00",
"authorizedOn": "2026-04-07T14:40:49.503-04:00",
"submittedOn": "2026-04-07T14:40:57.753-04:00",
"failedAt": "2026-04-07T14:40:57.753-04:00",
"lastModifiedAt": "2026-04-07T14:41:03.0925585-04:00"
},
{
"id": "a80bbd5b-503d-440b-9bd8-b4250132b239",
"clientIdentifier": "395673a4-d91d-5f82-993d-9e1a9e5ef2a3",
"amount": 100,
"paymentType": "Pull",
"status": "Failed",
"source": "Api",
"productId": "31cae717-408e-4813-a6b1-ad6600e48632",
"partnerId": "82a1cfb9-de92-4cc2-8a74-ad6600e36d7a",
"cardId": "febe40ae-cbe7-4428-9aab-b41b004159eb",
"cardToken": "7D30206F4D3848D387564F4FFDC3D151000000",
"cardBrand": "Visa",
"panLastFour": "1111",
"issuerCountryCode": "US",
"reasonCode": "9999",
"reasonDescription": "CVV not found",
"correspondingEntity": {
"firstName": "Randy",
"lastName": "Marsh",
"externalAccountIdentifier": "411111***1111"
},
"merchantVerificationValue": "123456",
"accountNumber": "2287979807",
"businessType": "AA",
"wasRefunded": false,
"createdAt": "2026-04-07T14:36:38.8-04:00",
"authorizedOn": "2026-04-07T14:42:07.887-04:00",
"submittedOn": "2026-04-07T14:44:18.63-04:00",
"failedAt": "2026-04-07T14:44:18.64-04:00",
"lastModifiedAt": "2026-04-07T14:46:33.3188773-04:00"
},
{
"id": "5b239697-b8da-401b-8b8a-b425013315fe",
"clientIdentifier": "395673a4-d91d-5f82-993d-9e1a9e5ef2a3",
"amount": 100,
"paymentType": "Pull",
"status": "Failed",
"source": "Api",
"productId": "31cae717-408e-4813-a6b1-ad6600e48632",
"partnerId": "82a1cfb9-de92-4cc2-8a74-ad6600e36d7a",
"cardId": "febe40ae-cbe7-4428-9aab-b41b004159eb",
"cardToken": "7D30206F4D3848D387564F4FFDC3D151000000",
"cardBrand": "Visa",
"panLastFour": "1111",
"issuerCountryCode": "US",
"reasonCode": "9999",
"reasonDescription": "CVV not found",
"correspondingEntity": {
"firstName": "Randy",
"lastName": "Marsh",
"externalAccountIdentifier": "411111***1111"
},
"merchantVerificationValue": "123456",
"accountNumber": "2287979807",
"businessType": "AA",
"wasRefunded": false,
"createdAt": "2026-04-07T14:38:03.933-04:00",
"authorizedOn": "2026-04-07T14:42:30.687-04:00",
"submittedOn": "2026-04-07T14:42:30.793-04:00",
"failedAt": "2026-04-07T14:42:30.793-04:00",
"lastModifiedAt": "2026-04-07T14:42:33.0879676-04:00"
},
{
"id": "5124e2c1-4660-4cc2-a38f-b42501346965",
"clientIdentifier": "395673a4-d91d-5f82-993d-9e1a9e5ef2a3",
"amount": 100,
"paymentType": "Pull",
"status": "Failed",
"source": "Api",
"productId": "31cae717-408e-4813-a6b1-ad6600e48632",
"partnerId": "82a1cfb9-de92-4cc2-8a74-ad6600e36d7a",
"cardId": "febe40ae-cbe7-4428-9aab-b41b004159eb",
"cardToken": "7D30206F4D3848D387564F4FFDC3D151000000",
"cardBrand": "Visa",
"panLastFour": "1111",
"issuerCountryCode": "US",
"reasonCode": "9999",
"reasonDescription": "CVV not found",
"correspondingEntity": {
"firstName": "Randy",
"lastName": "Marsh",
"externalAccountIdentifier": "411111***1111",
"address": {
"street1": "260 Avenue De Los Mexicanos",
"city": "South Park",
"state": "CO",
"postalCode": "81241",
"countryCode": "US"
}
},
"merchantVerificationValue": "123456",
"accountNumber": "2287979807",
"businessType": "AA",
"wasRefunded": false,
"createdAt": "2026-04-07T14:42:53.557-04:00",
"authorizedOn": "2026-04-07T14:45:09.44-04:00",
"submittedOn": "2026-04-07T14:45:10.397-04:00",
"failedAt": "2026-04-07T14:45:10.397-04:00",
"lastModifiedAt": "2026-04-07T14:47:22.3277117-04:00"
}
],
"pageNumber": 1,
"pageSize": 10,
"hasPreviousPage": false,
"hasNextPage": true
}